app.View = Class.extend({
	init: function () {

	},

	/**
	 * handles template strings in view html string
	 * @param obj
	 * @param data
	 * @param template
	 * @returns {*|app.ConversationList.template|app.UserList.template|app.Conversation.template}
	 */
	getTemplate: function (obj, data, template) {
		var tpl = template || this.template;

		if (this.decorateData) {
			obj = this.decorateData(obj);
		}

		obj = $.extend(obj, data);

		$.each(obj, function (i, e) {
			tpl = tpl.replace(new RegExp('{' + i + '}', 'g'), e);
		});

		tpl = tpl.replace(/{(.*)}/g, '');

		return tpl;
	},

	/**
	 * remove delete "li"s with deleted data-id attributes
	 * @param idArray
	 */
	removeDeleted: function (idArray) {
		this.container.find('li').each(function (i, e) {
			if ($.inArray(parseInt($(e).data('id')), idArray) === -1) {
				$(e).remove();
			}
		});
	}
});